.\" auto generated by yuck -*- nroff -*-
.TH UTE "1" "September 2014" "uterus 0.2.8" "User Commands"
.SH NAME
ute - Create, access and modify ute files.
.SH SYNOPSIS
.B ute
[\fIOPTION\fR]... \fICOMMAND\fRdnl
ARGs\fR...
.SH DESCRIPTION
Create, access and modify ute files.

.PP
\fICOMMAND\fR may be one of:
.TP
.B chndl
.
Generate bid and ask candles from ute files.

A candle at a time T of length L covers the quotes that occurred between T - L
and T.
.TP
.B fsck
.
Check ute file for consistency.
.TP
.B info
.
Print a terse summary of file contents.
.TP
.B mux
.
Generate an ute file from a tick or candle source.
.TP
.B print
.
Print the contents of an ute file.
.TP
.B shnot
.
Generate all-level snapshots from ute files.

A snapshot at a time T comprises the quotes that last occurred before T.
.TP
.B slab
.
Cut slabs of tick types, symbols or stamp ranges.
.TP
.B slut
.
Print or edit the symbol look-up table.

.PP

Recognized \fIOPTION\fRs:
.TP
.B   \fB-h\fR, \fB--help
display this help and exit
.TP
.B   \fB-V\fR, \fB--version
output version information and exit
.SH COMMANDS

.P
.B ute chndl
[\fIOPTION\fR]...
\fR[\fIOPTION\fR]\fR... \fIFILEs\fR...
.br

.P
\fIOPTION\fRs specific to the \fBchndl\fR command:
.TP
.B   -o, --output=FILE
Write result to specified output file
.TP
.B   -i, --interval=SECS
Draw a candle every SECS seconds (default: 300)
.TP
.B   -m, --modulus=SECS
Start SECS seconds past midnight (default 0)
.TP
.B   -z, --zone=NAME
Use time zone NAME for DST switches, etc. (default UTC)

.P
.B ute fsck
[\fIOPTION\fR]...
\fR[\fIOPTION\fR]\fR... \fIFILEs\fR...
.br

.P
\fIOPTION\fRs specific to the \fBfsck\fR command:
.TP
.B   -z, --compress
Compress all ticks (only if lzma support is available).
.TP
.B       --compression-level=INT
Use different compression presets, 
1 is fast, 9 is best.  (Default: 6)
.TP
.B   -d, --decompress
Decompress all ticks.
.TP
.B   -n, --dry-run
Do not actually change the files.
.TP
.B   -v, --verbose
Print some additional info.
.TP
.B   -o, --output=FILE
Output to FILE, leave original file untouched.
.TP
.B       --little-endian
Convert ute file to little endian representation.
.TP
.B       --big-endian
Convert ute file to big endian representation.

.P
.B ute info
[\fIOPTION\fR]...
\fR[\fIOPTION\fR]\fR... \fIFILEs
.br

.P
\fIOPTION\fRs specific to the \fBinfo\fR command:
.TP
.B   -v, --verbose
Print some additional info.
.TP
.B   -i, --interval=SECS
Reset the statistic (and print it) every SECS
seconds (default: 0)
.TP
.B   -m, --modulus=SECS
Start SECS seconds past midnight (default 0)
.TP
.B       --guess
Do some guess work for candles and snapshots without
interval information.  The interval sequence is
defined as 1,5,10,30,... except for the hour scale,
where only 1h intervals exist.
.TP
.B       --files
Repeat the file names afront lines

.P
.B ute mux
[\fIOPTION\fR]...
\fR[\fIOPTION\fR]\fR... \fIFILEs\fR...
.br

.P
\fIOPTION\fRs specific to the \fBmux\fR command:
.TP
.B   -f, --format=FORMAT
Use the specified parser, see below for a list.
.TP
.B   -o, --output=FILE
Write result to specified output file.
.TP
.B       --into=FILE
Write result into ute file FILE.
.TP
.B       --name=NAME
For single-security files use NAME as security symbol
.TP
.B   -z, --zone=NAME
Treat dates/times as in time zone NAME (default UTC)
.TP
.B       --refdate=STAMP
Use STAMP as reference point for time values
instead of epoch
.TP
.B       --flavour=F
Data flavour (bid, ask, trade) for flavour-agnostic
formats  (possible values="b", "a", "t")
.TP
.B       --multiplier=INT
Multiply price values by INT
for fractions also use --magnifier
.TP
.B       --magnifier=INT
Price values are regarded as if multiplied by INT,
for better divisibility consider --multiplier

.P
.B ute print
[\fIOPTION\fR]...
\fR[\fIOPTION\fR]\fR... \fIFILEs\fR...
.br

.P
\fIOPTION\fRs specific to the \fBprint\fR command:
.TP
.B   -f, --format=FORMAT
Use the specified parser, see below for a list.
.TP
.B   -o, --output=FILE
Write result to specified output file FILE,
or stdout if omitted.

.P
.B ute shnot
[\fIOPTION\fR]...
\fR[\fIOPTION\fR]\fR... \fIFILEs\fR...
.br

.P
\fIOPTION\fRs specific to the \fBshnot\fR command:
.TP
.B   -o, --output=FILE
Write result to specified output file
.TP
.B   -i, --interval=SECS
Make a snapshot every SECS seconds (default: 300)
.TP
.B   -m, --modulus=SECS
Start SECS seconds past midnight (default 0)
.TP
.B   -z, --zone=NAME
Use time zone NAME for tty output (default UTC)

.P
.B ute slab
[\fIOPTION\fR]...
\fR[\fIOPTION\fR]\fR... \fIFILEs\fR...
.br

.P
\fIOPTION\fRs specific to the \fBslab\fR command:
.TP
.B   -o, --output=FILE
Write result to specified output file
.TP
.B       --into=FILE
Write result into ute file FILE
.TP
.B       --extract-symbol=SYM...
Extract ticks regarding SYM, can be
comma-separated list or used multiple times
.TP
.B       --extract-symidx=IDX...
Extract ticks with index IDX, can be
comma-separated list or used multiple times
.TP
.B       --extract-from=STMP
Extract all ticks younger than STMP.
.TP
.B       --extract-till=STMP
Extract all ticks older than STMP.
.TP
.B       --extract-day=DATE
Short for --extract-from='DATE'
--extract-till='DATE'
.TP
.B       --explode-by-symbol
Extract all symbols into their own files.
.TP
.B       --explode-by-interval=SECS
Extract all intervals into their own files.

.P
.B ute slut
[\fIOPTION\fR]...
\fR[\fIOPTION\fR]\fR... \fIFILEs\fR...
.br

.P
\fIOPTION\fRs specific to the \fBslut\fR command:
.TP
.B   -e, --edit
Open the sluts in edit mode
.SH AUTHOR
.nf
  Written by Sebastian Freundt <freundt@fresse.org>
.fi
.PP
.SH BUGS
.nf
  Report them to: https://github.com/hroptatyr/uterus/issues
.fi
.PP


.\" yuck.m4man ends here
